--- ./modules/SalesOrder/SalesOrder.php	2008-03-10 08:54:31.000000000 -0400
+++ ./modules/SalesOrder/SalesOrder.php	2009-03-27 09:54:15.000000000 -0400
@@ -57,36 +57,40 @@
 
 	// This is the list of vtiger_fields that are in the lists.
 	var $list_fields = Array(
-				'Order No'=>Array('crmentity'=>'crmid'),
+			#	'Order No'=>Array('crmentity'=>'crmid'),
 				'Subject'=>Array('salesorder'=>'subject'),
 				'Account Name'=>Array('account'=>'accountid'), 
-				'Quote Name'=>Array('quotes'=>'quoteid'), 
+			#	'Quote Name'=>Array('quotes'=>'quoteid'), 
+				'Sale Date'=>Array('crmentity'=>'createdtime'),
 				'Total'=>Array('salesorder'=>'total'),
 				'Assigned To'=>Array('crmentity'=>'smownerid')
 				);
 	
 	var $list_fields_name = Array(
-				        'Order No'=>'',
+			#	        'Order No'=>'',
 				        'Subject'=>'subject',
 				        'Account Name'=>'account_id',
-				        'Quote Name'=>'quote_id',
+			#	        'Quote Name'=>'quote_id',
+					'Sale Date'=>'createdtime',
 					'Total'=>'hdnGrandTotal',
 				        'Assigned To'=>'assigned_user_id'
 				      );
 	var $list_link_field= 'subject';
 
 	var $search_fields = Array(
-				'Order No'=>Array('crmentity'=>'crmid'),
+			#	'Order No'=>Array('crmentity'=>'crmid'),
 				'Subject'=>Array('salesorder'=>'subject'),
 				'Account Name'=>Array('account'=>'accountid'),
-				'Quote Name'=>Array('salesorder'=>'quoteid') 
+			#	'Quote Name'=>Array('salesorder'=>'quoteid'),
+				'Sale Date'=>Array('crmentity'=>'createdtime') 
 				);
 	
 	var $search_fields_name = Array(
-					'Order No'=>'',
+				#        'Order No'=>'',
 				        'Subject'=>'subject',
 				        'Account Name'=>'account_id',
-				        'Quote Name'=>'quote_id'
+				#        'Quote Name'=>'quote_id',
+					'Sale Date'=>'createdtime'
 				      );
 
 	// This is the list of vtiger_fields that are required.
--- ./modules/Accounts/language/en_us.lang.php	2008-03-10 08:54:30.000000000 -0400
+++ ./modules/Accounts/language/en_us.lang.php	2009-03-27 10:44:53.000000000 -0400
@@ -32,7 +32,7 @@
 'LBL_TOP_AMOUNT'=>'Amount',
 'LBL_LIST_ACCOUNT_NAME'=>'Account Name',
 'LBL_LIST_CITY'=>'City',
-'LBL_LIST_WEBSITE'=>'Website',
+'LBL_LIST_WEBSITE'=>'Acct-Seq',
 'LBL_LIST_STATE'=>'State',
 'LBL_LIST_PHONE'=>'Phone',
 'LBL_LIST_EMAIL_ADDRESS'=>'Email Address',
@@ -49,22 +49,22 @@
 'LBL_ACCOUNT'=>'Account:',
 'LBL_ACCOUNT_NAME'=>'Account Name:',
 'LBL_PHONE'=>'Phone:',
-'LBL_WEBSITE'=>'Website:',
+'LBL_WEBSITE'=>'Acct-Seq:',
 'LBL_FAX'=>'Fax:',
-'LBL_TICKER_SYMBOL'=>'Ticker Symbol:',
+'LBL_TICKER_SYMBOL'=>'Territory:',
 'LBL_OTHER_PHONE'=>'Other Phone:',
 'LBL_ANY_PHONE'=>'Any Phone:',
 'LBL_MEMBER_OF'=>'Member of:',
 'LBL_EMAIL'=>'Email:',
-'LBL_EMPLOYEES'=>'Employees:',
+'LBL_EMPLOYEES'=>'Business Line:',
 'LBL_OTHER_EMAIL_ADDRESS'=>'Other Email:',
 'LBL_ANY_EMAIL'=>'Any Email:',
-'LBL_OWNERSHIP'=>'Ownership:',
+'LBL_OWNERSHIP'=>'Agent Name:',
 'LBL_RATING'=>'Rating:',
 'LBL_INDUSTRY'=>'Industry:',
-'LBL_SIC_CODE'=>'SIC Code:',
+'LBL_SIC_CODE'=>'VC Status:',
 'LBL_TYPE'=>'Type:',
-'LBL_ANNUAL_REVENUE'=>'Annual Revenue:',
+'LBL_ANNUAL_REVENUE'=>'Sequence ID:',
 'LBL_ADDRESS_INFORMATION'=>'Address Information',
 'LBL_ACCOUNT_INFORMATION'=>'Account Information',
 'LBL_CUSTOM_INFORMATION'=>'Custom Information',
@@ -116,20 +116,20 @@
 //Added for 4GA
 'Account Name'=>'Account Name',
 'Phone'=>'Phone',
-'Website'=>'Website',
+'Website'=>'Acct-Seq',
 'Fax'=>'Fax',
-'Ticker Symbol'=>'Ticker Symbol',
+'Ticker Symbol'=>'Territory',
 'Other Phone'=>'Other Phone',
 'Member Of'=>'Member Of',
 'Email'=>'Email',
-'Employees'=>'Employees',
+'Employees'=>'Business Line',
 'Other Email'=>'Other Email',
-'Ownership'=>'Ownership',
+'Ownership'=>'Agent Name',
 'Rating'=>'Rating',
 'industry'=>'Industry',
-'SIC Code'=>'SIC Code',
+'SIC Code'=>'VC Status',
 'Type'=>'Type',
-'Annual Revenue'=>'Annual Revenue',
+'Annual Revenue'=>'Sequence ID',
 'Assigned To'=>'Assigned To',
 'Billing Address'=>'Billing Address',
 'Shipping Address'=>'Shipping Address',
@@ -148,8 +148,8 @@
 'Billing Po Box'=>'Billing PO Box',
 
 //Added after 4.2 patch 2
-'Email Opt Out'=>'Email Opt Out',
-'LBL_EMAIL_OPT_OUT'=>'Email Opt Out:',
+'Email Opt Out'=>'Do Not Call',
+'LBL_EMAIL_OPT_OUT'=>'Do Not Call:',
 
 //Added after 5Alpha5
 'Notify Owner'=>'Notify Owner',
--- ./include/RelatedListView.php	2008-03-10 08:54:31.000000000 -0400
+++ ./include/RelatedListView.php	2009-03-27 10:39:58.000000000 -0400
@@ -270,8 +270,8 @@
 	$header[] = $app_strings['LBL_CREATED'];
 	$header[] = $app_strings['LBL_TITLE'];
 	$header[] = $app_strings['LBL_DESCRIPTION'];
-	$header[] = $app_strings['LBL_ATTACHMENTS'];
-	$header[] = $app_strings['LBL_TYPE'];		
+#	$header[] = $app_strings['LBL_ATTACHMENTS'];
+#	$header[] = $app_strings['LBL_TYPE'];		
 	$header[] = $app_strings['LBL_ACTION'];	
 	
 	while($row = $adb->fetch_array($result))
@@ -343,12 +343,12 @@
 
 			$attachmentname = $row['filename'];//explode('_',$row['filename'],2);
 
-			if((getFieldVisibilityPermission('Notes', $current_user->id, 'filename') == '0') || $row['activitytype'] == 'Attachments')
-				$entries[] = '<a href="index.php?module=uploads&action=downloadfile&entityid='.$id.'&fileid='.$row['attachmentsid'].'">'.textlength_check($attachmentname).'</a>';
-			else
-				$entries[]='';
+		#	if((getFieldVisibilityPermission('Notes', $current_user->id, 'filename') == '0') || $row['activitytype'] == 'Attachments')
+		#		$entries[] = '<a href="index.php?module=uploads&action=downloadfile&entityid='.$id.'&fileid='.$row['attachmentsid'].'">'.textlength_check($attachmentname).'</a>';
+		#	else
+		#		$entries[]='';
 
-			$entries[] = $row['activitytype'];	
+		#	$entries[] = $row['activitytype'];	
 			$del_param = 'index.php?module='.$module.'&action='.$deleteaction.'&return_module='.$parentmodule.'&return_action='.$_REQUEST['action'].'&record='.$row["crmid"].'&return_id='.$_REQUEST["record"].'&parenttab='.$_REQUEST["parenttab"];
 
 			if($module == 'Notes')
